' JTB World, 2011-04-16 create Start Menu shortcut

'on error resume next
Set WshShell = CreateObject("WScript.Shell")
Set fso = CreateObject("Scripting.FileSystemObject")

Sub AddNewFolder(path, folderName)
   Dim fso, f, fc, nf
   Set fso = CreateObject("Scripting.FileSystemObject")
   Set f = fso.GetFolder(path)
   Set fc = f.SubFolders
   If folderName <> "" Then
      Set nf = fc.Add(folderName)
   Else
      Set nf = fc.Add("New Folder")
   End If
End Sub

DesktopPath = WshShell.SpecialFolders("AllUsersDesktop")
UserDesktopPath = WshShell.SpecialFolders("Desktop")

'AppPath = CreateObject("Scripting.FileSystemObject").GetAbsolutePathName(".") & "\"
' below is prefered to work when run from the html help
AppPath = left(WScript.ScriptFullName,(Len(WScript.ScriptFullName))-(len(WScript.ScriptName)))

MsgRes = MsgBox("Do you want to create a Desktop shortcut for SSMPropEditor?", 1 ,"SSMPropEditor")
If MsgRes=1 Then
  If Not fso.FileExists(UserDesktopPath & "\SSMPropEditor.lnk") Then
    Set link = WshShell.CreateShortcut(UserDesktopPath & "\SSMPropEditor.lnk")
    link.Description = "SSMPropEditor"
    link.IconLocation = AppPath & "SSMPropEditor.exe,0"
    link.TargetPath = AppPath & "SSMPropEditor.exe"
    link.WindowStyle = 3
    link.WorkingDirectory = AppPath
    link.Save
  End If
End If
MsgRes = MsgBox("Do you want to create a Start Menu shortcut for SSMPropEditor?", 1 ,"SSMPropEditor")
If MsgRes=1 Then
  StartMenu = WshShell.SpecialFolders("Programs") & "\SSMPropEditor\"
  If Not fso.FolderExists(StartMenu) Then AddNewFolder WshShell.SpecialFolders("Programs"),"SSMPropEditor"
  If Not fso.FileExists(StartMenu & "SSMPropEditor.lnk") Then
    Set link = WshShell.CreateShortcut(StartMenu & "SSMPropEditor.lnk")
    link.Description = "SSMPropEditor"
    link.IconLocation = AppPath & "SSMPropEditor.exe,0"
    link.TargetPath = AppPath & "SSMPropEditor.exe"
    link.WindowStyle = 3
    link.WorkingDirectory = AppPath
    link.Save
  End If
End If